%bcond check 0
%global repo dde-application-manager

Name:           deepin-application-manager
Version:        1.2.17
Release:        %autorelease
Summary:        app manager of Deepin Desktop Environment
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-application-manager
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Dtk6Core)

BuildRequires:  pkgconfig(libsystemd)
%if %{with check}
BuildRequires:  cmake(GTest)
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  dbus-x11
%endif

%description
DDE Application Manager is the app manager of Deepin Desktop Environment.

%prep
%autosetup -p1 -n %{repo}-%{version}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%build
%cmake -GNinja \
%if %{without check}
    -DBUILD_TESTING=OFF \
%endif
%cmake_build

%install
%cmake_install
# Move the configuration files to the standard directories
mv %{buildroot}%{_prefix}%{_sysconfdir} %{buildroot}%{_sysconfdir}

%if %{with check}
%check
xvfb-run -a bash -c "%ctest"
%endif

%files
%doc README.md
%license LICENSE
%{_bindir}/app-identifier
%{_bindir}/dde-am
%{_bindir}/dde-application-manager
%{_bindir}/dde-am-compatibility
%{_sysconfdir}/dpkg/dpkg.cfg.d/am-update-hook
%{_unitdir}/org.desktopspec.ApplicationUpdateNotifier1.service
%{_userunitdir}/app-DDE-.service.d/override.conf
%{_userunitdir}/*.service
%{_userunitdir}/dde-session-initialized.target.wants/org.desktopspec.ApplicationManager1.service
%dir %{_libexecdir}/deepin/application-manager
%{_libexecdir}/deepin/application-manager/app-launch-helper
%{_libexecdir}/deepin/application-manager/app-update-notifier
%{_libexecdir}/deepin/application-manager/debFix.sh
%{_datadir}/dbus-1/services/org.desktopspec.ApplicationManager1.service
%{_datadir}/dbus-1/system-services/org.desktopspec.ApplicationUpdateNotifier1.service
%{_datadir}/dbus-1/system.d/org.desktopspec.ApplicationUpdateNotifier1.conf
%{_datadir}/dde-application-manager/*.xml
%{_datadir}/deepin/dde-application-manager/hooks.d/2-debFix.json
%{_datadir}/dsg/configs/org.deepin.dde.application-manager/*.json

%files devel
%{_libdir}/cmake/DDEApplicationManager/DDEApplicationManagerConfig.cmake

%changelog
%autochangelog
